#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Feb  3 20:14:38 2019

@author: moetom
--------------------------------------------------------------------------
This file is part of Verrücktes Gemüse.

Verrücktes Gemüse is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Verrücktes Gemüse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
--------------------------------------------------------------------------
"""

import mod.gemuese as gemuese
import pygame.mixer as mixer
mixer.init()

""" Tomate """
t1 = mixer.Sound("mod/jokes/tom_vampir.ogg")
t2 = mixer.Sound("mod/jokes/tom_landkarte.ogg")
t3 = mixer.Sound("mod/jokes/tom_parkplaetzchen.ogg")
t4 = mixer.Sound("mod/jokes/tom_himbeer.ogg")

t1s = "Was macht ein Vampir der keine Zähne mehr hat? - Er steigt um auf Tomatensuppe!"
t2s = "Wo haben Flüsse kein Wasser? - Auf der Landkarte!"
t3s = "Was essen Autos am liebsten? - Park-Plätzchen!"
t4s = "Was ist groß, rot und gefährlich? - Ein Him-bär!"

gemuese.tomate.AddVocab([t1, t2, t3, t4], [t1s, t2s, t3s, t4s])

""" Apfel """
a1 = mixer.Sound("mod/jokes/apf_1arm.ogg")
a2 = mixer.Sound("mod/jokes/apf_apfel.ogg")
a3 = mixer.Sound("mod/jokes/apf_arzt.ogg")
a4 = mixer.Sound("mod/jokes/apf_frau_mann.ogg")
a5 = mixer.Sound("mod/jokes/apf_mathematiker.ogg")
a6 = mixer.Sound("mod/jokes/apf_wolke.ogg")

a1s = "Was macht ein Einarmiger in der Einkaufspasge? - Er sucht den Second-Hand-Shop"
a2s = "Sagt eine Frau zum Verkäufer: Ich suche Äpfel für meinen Mann. Sind die hier mit Gift gespritzt? Sagt der Verkäufer: NeNe, das müssen sie schon selber machen!"
a3s = "Der Arzt zum Patienten: Wenn sie nicht aufhören zu trinken müssen sie bald sterben. Fragt der Patient: Warum denn? Sagt der Arzt: Weil es mein Bier ist!"
a4s = "Sagt die Ehefrau zu Ehemann: Schatz, meine haut juckt, ist total trocken und hat Schuppen. Sagt der Ehemann: Ist normal bei Drachen!"
a5s = "Was macht ein Mathematiker beim Skifahren? - Er rechnet mit Brüchen! \nUnd was steht auf dem Grabstein eines Mathematikers? - Damit hab ich nicht gerechnet!"
a6s = "Was macht eine Wolke bei Juckreitz? - Sie fliegt zum Wolkenkratzer! \nUnd wie nennt mann einen Bauer der studiert hat? - Akkerdemiker!"

gemuese.apfel.AddVocab([a1, a2, a3, a4, a5, a6], [a1s, a2s, a3s, a4s, a5s, a6s])

""" Paprika """
p1 = mixer.Sound("mod/jokes/pap_abschluss.ogg")
p2 = mixer.Sound("mod/jokes/pap_besoffen.ogg")
p3 = mixer.Sound("mod/jokes/pap_kino.ogg")
p4 = mixer.Sound("mod/jokes/pap_strom.ogg")
p5 = mixer.Sound("mod/jokes/pap_tom.ogg")

p1s = "Sagt der Lehrer in der Schule: 80% von euch werden den Schulabschluss nicht schaffen. Sagt Fritz: So viele sind wir doch gar nicht!"
p2s = "Ein betrunkener Autofahrer wird von der Polizei angehalten. Da fragt der Polizist: Wie viel haben sie denn getrunken? Sagt der Betrunkene: Drei Bullen Herr Jägermeister!"
p3s = "Ein Typ geht mit seiner Freundin ins Kino. An der Kasse sagt er: Zwei Karten bitte. Fragt der Kassierer: Für den Hobbit? Sagt der Typ: Nein, das ist meine Freundin!"
p4s = "Fragt der Lehrer in der Klasse: Kids, wo kommt der Strom her? Antwortet Fritz: Aus dem Jungel! Fragt der Lehrer: Aus dem Jungel, wie kommst du auf sowas? Sagt Fritz: Mein Vater sagt immer: Jetzt haben sie Affen schon wieder den Strom abgestellt!"
p5s = "Sagt der Lehrer: Tom! Du gehst jetzt sofort vor die Türe, dein Gelaber interesiert hier niemand! Sagt Tom: Dann können sie ja gleich mitkommen!"
 

gemuese.paprika.AddVocab([p1, p2, p3, p4, p5], [p1s, p2s, p3s, p4s, p5s])

""" Orange """
o1 = mixer.Sound("mod/jokes/ora_ikea.ogg")
o2 = mixer.Sound("mod/jokes/ora_clown.ogg")
o3 = mixer.Sound("mod/jokes/ora_sauna.ogg")
o4 = mixer.Sound("mod/jokes/ora_assi.ogg")

o1s = "Was glaubt ihr was passiert wenn ihr beim IKEA klaut? - Die vermöbeln euch!"
o2s = "Ein Clown im Bürro, was macht der? - Natürlich Faxen!"
o3s = "Welche Sprache wird in der Sauna gesprochen? - Schwitzer-Deutsch!"
o4s = "Welche Sprache spricht ein Assi? - Assiatisch!"

gemuese.orange.AddVocab([o1, o2, o3, o4], [o1s, o2s, o3s, o4s])


""" Zitrone """
z1 = mixer.Sound("mod/jokes/zit_biene.ogg")
z2 = mixer.Sound("mod/jokes/zit_bagger.ogg")
z3 = mixer.Sound("mod/jokes/zit_hose.ogg")
z4 = mixer.Sound("mod/jokes/zit_banane.ogg")
z5 = mixer.Sound("mod/jokes/zit_taube.ogg")

z1s = "Warum summen Bienen? - Weil sie den Text nicht kennen..."
z2s = "Was ist gelb und kann nicht schwimmen? - Ein Bagger!"
z3s = "Was hat zwei Beine und kann nicht laufen? - Eine Hose..."
z4s = "?????????????????????????????????????"
z5s = "Welche Vögel hören nichts? - Die Tauben!"

gemuese.zitrone.AddVocab([z1, z2, z3, z4, z5], [z1s, z2s, z3s, z4s, z5s])


""" Kartoffel """
k1 = mixer.Sound("mod/jokes/kar_comp.ogg")
k2 = mixer.Sound("mod/jokes/kar_chuck.ogg")
k3 = mixer.Sound("mod/jokes/kar_sebel.ogg")
k4 = mixer.Sound("mod/jokes/kar_kreis.ogg")
k5 = mixer.Sound("mod/jokes/kar_weinen.ogg")
k6 = mixer.Sound("mod/jokes/kar_acht.ogg")

k1s = "Was macht ein Pirat wenn er vor dem Computer sitzt? - Er drückt die Entertaste!"
k2s = "Chuck Norris soll mal einen Kampf mit einem Piraten verloren haben. Aber das ist natürlich nur ein Gerückt. Er selbst hat es verbreitet, um noch mehr Piraten anzulocken."
k3s = "Was macht ein Pirat am liebsten mit seinem Sebel? - Er sitcht in See!"
k4s = "Warum können Piraten keinen vernünftigen Kreis berechnen? - Weil sie Pi raten!"
k5s = "Piraten weinen nicht! - Sie heulen Rum!"
k6s = "Was hat 8 beine und 8 Augen? - 8 Piraten!"

gemuese.kartoffel.AddVocab([k1, k2, k3, k4, k5, k6], [k1s, k2s, k3s, k4s, k5s, k6s])
